%define debug_package %{nil}

%if 0%{?fedora} || 0%{?centos} >= 7
%global with_python3 1
%endif

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

Name:           pyparsing
Version:        3.0.9
Release:        1%{?dist}
Summary:        An object-oriented approach to text processing
Group:          Development/Libraries
License:        MIT
URL:            http://pyparsing.wikispaces.com/
Source0:        http://downloads.sourceforge.net/pyparsing/pyparsing-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  dos2unix
BuildRequires:  glibc-common

%description
pyparsing is a module that can be used to easily and directly configure syntax
definitions for any number of text parsing applications.

%package doc
Summary:        Documentation for pyparsing
Group:          Development/Libraries

%description doc
The package contains documentation for pyparsing.

%if 0%{?with_python2}
%package -n python2-%{name}
Summary:        An object-oriented approach to text processing (Python 3 version)
Group:          Development/Libraries
BuildRequires:	python2
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
Provides:       python-%{name} = %{version}
Provides:       %{name} = %{version}
Obsoletes:      python-%{name} < %{version}
Obsoletes:      python2-%{name} < %{version}
Obsoletes:      %{name} < %{version}

%description -n python2-%{name}
%endif

%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-%{name}
Summary:        An object-oriented approach to text processing (Python 3 version)
Group:          Development/Libraries
BuildRequires:	python%{python3_pkgversion}
BuildRequires: 	python%{python3_pkgversion}-devel
BuildRequires: 	python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-%{name}
pyparsing is a module that can be used to easily and directly configure syntax
definitions for any number of text parsing applications.

This is the Python 3 version.
%endif 

%prep
%setup -q
dos2unix -k CHANGES LICENSE README.rst
for f in CHANGES ; do
    mv $f $f.iso88591
    iconv -f ISO-8859-1 -t UTF-8 -o $f $f.iso88591
    touch -r $f.iso88591 $f
    rm -f $f.iso88591
done

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%if 0%{?with_python2}
%{__python2} setup.py build
%endif

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
rm -rf %{buildroot}

# Install python 3 first, so that python 2 gets precedence:
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd
%endif

%if 0%{?with_python2}
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
%endif

%clean
rm -rf %{buildroot}

%if 0%{?with_python2}
%files -n python2-%{name}
%doc CHANGES README.rst LICENSE
%if 0%{?fedora} >= 9 || 0%{?rhel} >= 6
%{python2_sitelib}/%{name}*egg-info
%endif
%{python2_sitelib}/%{name}.py*
%endif

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{name}
%doc CHANGES README.rst LICENSE
%{python3_sitelib}/%{name}*egg-info
%{python3_sitelib}/%{name}/*
%endif

%files doc
%doc CHANGES README.rst LICENSE docs examples 

%changelog
* Tue May 10 2022 Lawrence R. Rogers <lrr@cert.org> - 3.0.9-1
- update to 3.0.9-1
	Version 3.0.9

* Thu Jan 20 2022 Lawrence R. Rogers <lrr@cert.org> - 3.0.7-1
- update to 3.0.7-1
	Version 3.0.7

* Fri Oct 29 2021 Lawrence R. Rogers <lrr@cert.org> - 3.0.0-2
- update to 3.0.0-2
	Reverted back to Version 3.0.0 because of Plaso.

* Wed Oct 27 2021 Lawrence R. Rogers <lrr@cert.org> - 3.0.3-1
- update to 3.0.3-1
	Version 3.0.3

* Sun Oct 24 2021 Lawrence R. Rogers <lrr@cert.org> - 3.0.1-1
- update to 3.0.1-1
	Version 3.0.1

* Sat Oct 23 2021 Lawrence R. Rogers <lrr@cert.org> - 3.0.0-1
- update to 3.0.0-1
	Version 3.0.0

* Sun Apr  5 2020 Lawrence R. Rogers <lrr@cert.org> - 2.4.7-1
- update to 2.4.7-1
	Version 2.4.7

* Wed Dec 25 2019 Lawrence R. Rogers <lrr@cert.org> - 2.4.6-1
- update to 2.4.6-1
	Version 2.4.6

* Sun Nov 10 2019 Lawrence R. Rogers <lrr@cert.org> - 2.4.5-1
- update to 2.4.5-1
	Version 2.4.5

* Tue Nov  5 2019 Lawrence R. Rogers <lrr@cert.org> - 2.4.4-1
- update to 2.4.4-1
	Version 2.4.4

* Tue Nov  5 2019 Lawrence R. Rogers <lrr@cert.org> - 2.4.3-1
- update to 2.4.3-1
	Version 2.4.3

* Mon Jul 29 2019 Lawrence R. Rogers <lrr@cert.org> - 2.4.2-1
- update to 2.4.2-1
	Version 2.4.2

* Mon Apr  8 2019 Lawrence R. Rogers <lrr@cert.org> - 2.4.0-1
- update to 2.4.0-1
	Version 2.4.0 - see https://github.com/pyparsing/pyparsing/blob/master/CHANGES
        Release 2.4.0-1 - Rebuilt for Python 3.6 for CentOS/RHEL 7


* Sun Jan 13 2019 Lawrence R. Rogers <lrr@cert.org> - 2.3.1-1
- update to 2.3.1-1
	Version 2.3.1 - see https://github.com/pyparsing/pyparsing/blob/master/CHANGES

* Wed Mar  1 2017 Lawrence R. Rogers <lrr@cert.org> - 2.2.0-1
- update to 2.2.0
	- Bumped minor version number to reflect compatibility issues with
	  OneOrMore and ZeroOrMore bugfixes in 2.1.10. (2.1.10 fixed a bug
	  that was introduced in 2.1.4, but the fix could break code
	  written against 2.1.4 - 2.1.9.)

	- Updated setup.py to address recursive import problems now
	  that pyparsing is part of 'packaging' (used by setuptools).
	  Patch submitted by Joshua Root, much thanks!

	- Fixed KeyError issue reported by Yann Bizeul when using packrat
	  parsing in the Graphite time series database, thanks Yann!

	- Fixed incorrect usages of '\' in literals, as described in
	  https://docs.python.org/3/whatsnew/3.6.html#deprecated-python-behavior
	  Patch submitted by Ville Skyttä - thanks!

	- Minor internal change when using '-' operator, to be compatible
	  with ParserElement.streamline() method.

	- Expanded infixNotation to accept a list or tuple of parse actions
	  to attach to an operation.

	- New unit test added for dill support for storing pyparsing parsers.
	  Ordinary Python pickle can be used to pickle pyparsing parsers as
	  long as they do not use any parse actions. The 'dill' module is an
	  extension to pickle which *does* support pickling of attached
	  parse actions.

* Fri Nov 28 2014 José Matos <jamatos@fedoraproject.org> - 2.0.3-1
- update to 2.0.3
- include the whole documentation set

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Sun Oct 27 2013 Terje Rosten <terje.rosten@ntnu.no> - 2.0.1-1
- 2.0.1

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr  3 2013 Thomas Spura <tomspur@fedoraproject.org> - 1.5.6-8
- add patch to correct typo in exception handling

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Aug 03 2012 David Malcolm <dmalcolm@redhat.com> - 1.5.6-6
- rebuild for https://fedoraproject.org/wiki/Features/Python_3.3

* Fri Aug  3 2012 David Malcolm <dmalcolm@redhat.com> - 1.5.6-5
- remove rhel logic from with_python3 conditional

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec  6 2011 David Malcolm <dmalcolm@redhat.com> - 1.5.6-2
- fix __pycache__ conditional on RHEL

* Fri Jul  1 2011 José Matos <jamatos@fedoraproject.org> - 1.5.6-1
- New upstream version.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 21 2010 Terje Rosten <terje.rosten@ntnu.no> - 1.5.5-1
- 1.5.5
- use buildroot macro
- fix wrong file end of line encoding
- convert files to utf-8
- doc subpackage
- python3 subpackage
- rpmlint clean

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.5.0-7
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 16 2010 Dan Horák <dan[at]danny.cz> - 1.5.0-6
- include egginfo on EL >= 6

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.5.0-3
- Rebuild for Python 2.6

* Mon Aug  4 2008 José Matos <jamatos[AT]fc.up.pt> - 1.5.0-2
- respun (now with the right sources)

* Mon Aug  4 2008 José Matos <jamatos[AT]fc.up.pt> - 1.5.0-1
- new upstream release.

* Tue Apr  1 2008 José Matos <jamatos[AT]fc.up.pt> - 1.4.11-1
- New upstream version, add egg-info for F9+.

* Wed Aug 29 2007 José Matos <jamatos[AT]fc.up.pt> - 1.4.7-1
- New upstream version.

* Sat Apr 21 2007 José Matos <jamatos[AT]fc.up.pt> - 1.4.6-1
- New upstream version.

* Mon Dec 11 2006 José Matos <jamatos[AT]fc.up.pt> - 1.4.4-1
- New upstream version.

* Mon Sep 11 2006 José Matos <jamatos[AT]fc.up.pt> - 1.4.3-1
- New version.

* Wed Aug  3 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.3-1
- Initial RPM release
